variable "common_cloud_init" {
  type        = string
  description = "Base cloud-init template"
}

variable "cloud_image_id" {
  type        = string
  description = "Cloud image to use"
}

variable "proxmox_image_storage" {
  type = string
}

variable "proxmox_vm_storage" {
  type = string
}

variable "gateway" {
  type = string
  default = "10.0.0.1"
}

variable "ipv4_address" {
  type = string
}

variable "pool_id" {
  type = string
}

variable "vm_id" {
  type = string
}
